# Smart Identity Proof of Concept

## About the Smart Identity Proof of Concept

The Smart Identity Proof of Concept was produced by ETSI Special Committee USER Group and is described in ETSI TR 103 875-2. It is intended to demonstrate the feasibility of the Smart Identity as it is defined in TR 103 875-1

It defines, for a specific use case (e-health) the Smart Identity (ID) and provides an associated Proof of Concept (PoC)

## Getting started

The Smart Identity Proof of Concept is run in the Google Colaboratory notebook (https://colab.research.google.com/).

The `POC_SmartID_v3.ipynb` file is to be uploaded to Google Colaboratory and the PoC is executed from there.

## Further details

The Smart Identity Proof of Concept is documented in ETSI TR 103 875-2.

For the creation of AI models for Smart ID, a pre-trained neural network model based on Transformers was used. It is called CamemBERT™.

The Camembert™-Base-XNLI zero-stroke pre-trained transfer learning algorithm was used because classical machine learning algorithms did not give accurate results during training on the dataset. 

Camembert™-base-XNLI is a transformer-based natural language processing model written in Python®. It was trained on XNLI (Multilingual Natural Language Inference) which was published by Facebook. It is mainly used to determine the probability of a corpus of text belonging to a predefined class.

To implement the Camembert-Base-XNLI algorithm for data entry and resource prediction, the following tools used are: 

* Python® 3.7	
* Transformers 4.24.0

  Library for downloading and training pre-trained natural language processing models.

* Tensorflow®-Text 2.9.0

  TensorFlow® library to perform operations on text for pre-processing.

* Pandas™ 1.3.5	

  For managing datasets using dataframes

* Google Colab® 1.0.0	

  A cloud service offered by Google®, based on Jupyter Notebook and allowing to train ML models directly online, without the need to install anything.


For a better visualization of the results of the main model, web interfaces have been developed with the Gradio API version 3.12.1.  

